package com.ruoyi.system.domain.communityNews;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 社区资讯对象 community_news
 * 
 * @author boman
 * @date 2025-02-25
 */
public class CommunityNews extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 社区资讯ID */
    private Long communityId;

    /** 社区资讯标题 */
    @Excel(name = "社区资讯标题")
    private String communityTitle;

    /** 社区资讯类型（1：公告 2：通知 3：资讯） */
    @Excel(name = "社区资讯类型", readConverterExp = "1=：公告,2=：通知,3=：资讯")
    private String communityType;

    /** 社区资讯内容 */
    @Excel(name = "社区资讯内容")
    private String communityContent;

    /** 社区资讯状态（1正常 2关闭） */
    @Excel(name = "社区资讯状态", readConverterExp = "1=正常,2=关闭")
    private String status;

    /** 发布时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发布时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date publishTime;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 员工管理id */
    @Excel(name = "员工管理id")
    private Long staffId;

    /** 员工姓名 */
    @Excel(name = "员工姓名")
    private String staffName;

    /** 作者，记录资讯的发布者 */
    @Excel(name = "作者，记录资讯的发布者")
    private String author;

    /** 来源，记录资讯的来源（如单位、网站等） */
    @Excel(name = "来源，记录资讯的来源", readConverterExp = "如=单位、网站等")
    private String source;

    /** 封面图片，存储图片路径或URL */
    @Excel(name = "封面图片，存储图片路径或URL")
    private String coverImage;

    /** 浏览次数，记录资讯被查看的次数 */
    @Excel(name = "浏览次数，记录资讯被查看的次数")
    private Long viewCount;

    /** 是否置顶：Y（置顶）、N（不置顶） */
    @Excel(name = "是否置顶：Y", readConverterExp = "置=顶")
    private String isTop;

    /** 评论数量 */
    @Excel(name = "评论数量")
    private String userComment;
    /**
     * 是否评论
     */
    private String isComment;

    /** 点赞数量 */
    @Excel(name = "点赞数量")
    private String userLikes;
    /**
     * 是否点赞 N:未点赞 Y：点赞
     */
    private String isLike;

    /** 收藏数量 */
    @Excel(name = "收藏数量")
    private String userStars;
    /**
     * 是否收藏 N:未收藏 Y：收藏
     */
    private String isStar;
    /**
     * 是否有未读互动 N:否 Y：是
     */
    private String isInteraction;

    public String getIsInteraction() {
        return isInteraction;
    }

    public void setIsInteraction(String isInteraction) {
        this.isInteraction = isInteraction;
    }

    public String getIsComment() {
        return isComment;
    }

    public void setIsComment(String isComment) {
        this.isComment = isComment;
    }

    public String getIsLike() {
        return isLike;
    }

    public void setIsLike(String isLike) {
        this.isLike = isLike;
    }

    public String getIsStar() {
        return isStar;
    }

    public void setIsStar(String isStar) {
        this.isStar = isStar;
    }

    public void setCommunityId(Long communityId)
    {
        this.communityId = communityId;
    }

    public Long getCommunityId() 
    {
        return communityId;
    }
    public void setCommunityTitle(String communityTitle) 
    {
        this.communityTitle = communityTitle;
    }

    public String getCommunityTitle() 
    {
        return communityTitle;
    }
    public void setCommunityType(String communityType) 
    {
        this.communityType = communityType;
    }

    public String getCommunityType() 
    {
        return communityType;
    }
    public void setCommunityContent(String communityContent) 
    {
        this.communityContent = communityContent;
    }

    public String getCommunityContent() 
    {
        return communityContent;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setPublishTime(Date publishTime) 
    {
        this.publishTime = publishTime;
    }

    public Date getPublishTime() 
    {
        return publishTime;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setStaffId(Long staffId) 
    {
        this.staffId = staffId;
    }

    public Long getStaffId() 
    {
        return staffId;
    }
    public void setStaffName(String staffName) 
    {
        this.staffName = staffName;
    }

    public String getStaffName() 
    {
        return staffName;
    }
    public void setAuthor(String author) 
    {
        this.author = author;
    }

    public String getAuthor() 
    {
        return author;
    }
    public void setSource(String source) 
    {
        this.source = source;
    }

    public String getSource() 
    {
        return source;
    }
    public void setCoverImage(String coverImage) 
    {
        this.coverImage = coverImage;
    }

    public String getCoverImage() 
    {
        return coverImage;
    }
    public void setViewCount(Long viewCount) 
    {
        this.viewCount = viewCount;
    }

    public Long getViewCount() 
    {
        return viewCount;
    }
    public void setIsTop(String isTop) 
    {
        this.isTop = isTop;
    }

    public String getIsTop() 
    {
        return isTop;
    }
    public void setUserComment(String userComment) 
    {
        this.userComment = userComment;
    }

    public String getUserComment() 
    {
        return userComment;
    }
    public void setUserLikes(String userLikes) 
    {
        this.userLikes = userLikes;
    }

    public String getUserLikes() 
    {
        return userLikes;
    }
    public void setUserStars(String userStars) 
    {
        this.userStars = userStars;
    }

    public String getUserStars() 
    {
        return userStars;
    }


    @Override
    public String toString() {
        return "CommunityNews{" +
                "communityId=" + communityId +
                ", communityTitle='" + communityTitle + '\'' +
                ", communityType='" + communityType + '\'' +
                ", communityContent='" + communityContent + '\'' +
                ", status='" + status + '\'' +
                ", publishTime=" + publishTime +
                ", userId=" + userId +
                ", staffId=" + staffId +
                ", staffName='" + staffName + '\'' +
                ", author='" + author + '\'' +
                ", source='" + source + '\'' +
                ", coverImage='" + coverImage + '\'' +
                ", viewCount=" + viewCount +
                ", isTop='" + isTop + '\'' +
                ", userComment='" + userComment + '\'' +
                ", isComment='" + isComment + '\'' +
                ", userLikes='" + userLikes + '\'' +
                ", isLike='" + isLike + '\'' +
                ", userStars='" + userStars + '\'' +
                ", isStar='" + isStar + '\'' +
                ", isInteraction='" + isInteraction + '\'' +
                '}';
    }
}
